# https://github.com/chaseadamsio/goorgeous
%global goipath github.com/chaseadamsio/goorgeous
Version:        2.0.0

%gometa

Name:           %{goname}
Release:        6%{?dist}
Summary:        Org to HTML Parser written in Go
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

%description
The purpose of this package is to come as close as possible as parsing an *.org
document into HTML, the same way one might publish with org-publish-html from
Emacs.


%package devel
Summary:       %{summary}
BuildArch:     noarch

BuildRequires: golang(gopkg.in/russross/blackfriday.v1)
BuildRequires: golang(github.com/shurcooL/sanitized_anchor_name)

%description devel
%{summary}

This package contains library source intended for building other packages
which use import path with %{goipath} prefix.

%prep
%forgeautosetup -p1

# Replace blackfriday import path to avoid conflict with v2
sed -i 's|"github.com/russross/blackfriday|"gopkg.in/russross/blackfriday.v1|' $(find . -name '*.go')

# Blackfriday removed the footnotes features.
# We need to remove such feature from goorgeous upstream as well
# Until then, we skip this feature test
sed -i '431s/Errorf/Skipf/' goorgeous_test.go


%install
%goinstall


%check
%gochecks


%files devel -f devel.file-list
%license LICENSE


%changelog
* Tue Feb 26 2019 Robert-André Mauchin <zebob.m@gmail.com> - 2.0.0-6
- Fix build against to use old Blackfriday

* Tue Feb 26 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.0.0-6
- Rewrite spec using new template

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Mar 21 2018 Athos Ribeiro <athoscr@fedoraproject.org> - 2.0.0-3
- Skip failing test due to removed Blackfriday feature

* Wed Mar 21 2018 Athos Ribeiro <athoscr@fedoraproject.org> - 2.0.0-2
- Add missing dist macro to Release tag

* Tue Feb 13 2018 Athos Ribeiro <athoscr@fedoraproject.org> - 2.0.0-1
- Use repository tags for versioning
- Update version

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.6.git054aba6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.5.git054aba6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.4.git054aba6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue Mar 07 2017 Athos Ribeiro <athoscr@fedoraproject.org> - 0-0.3.git054aba6
- Improve Summary
- Remove empty conditional

* Sat Feb 25 2017 Athos Ribeiro <athoscr@fedoraproject.org> - 0-0.2.git054aba6
- Move test data to the package path

* Sat Feb 25 2017 Athos Ribeiro <athoscr@fedoraproject.org> - 0-0.1.git054aba6
- Initial package
